using Microsoft.AspNetCore.Rewrite;
var builder = WebApplication.CreateBuilder(args);
builder.Services.AddEndpointsApiExplorer();

var app = builder.Build();


app.Use((hc, next) =>
{
  if (hc.Request.Path == "/") hc.Request.Path = "/index.html";
  return next(hc);
});

app.UseStaticFiles();

app.MapGet("/bigairdata", async () => {
  var x = new HttpClient();
  var res = await x.GetAsync("https://listener.naiton.com/bodyview3/task/exec/bigairjump/getalljumps");
  return await res.Content.ReadAsStringAsync();
});

app.Run();
